#include <avr/interrupt.h>
#include <avr/io.h>
#include "usart.h"
#include "timer.h"
#define NOP()	asm("nop")

//------------------------------------------------------------------------------

int main (void) 
{
  usart_init(9600); // Serielle Schnittstelle initialisieren
  usart_write("Frequenzzhler V0.1\r\n"); 
  DDRC = 0xFF;
  DDRA = 0xFC;
 #ifndef GEMEINSAME_ANODE
  PORTA = 0x04;
  PORTC = 0xFF;
 #else
  PORTA = ~(0x04);
  PORTC = ~(0xFF);
 #endif 
  sei();
  init_timer3();
  while(1)
  { 
  }
}

