/*#######################################################################################

Copyright (C) 2007 Ulrich Radig

#######################################################################################*/

#ifndef _TIMER_H
 #define _TIMER_H

// nur definieren, wenn man 7-Segment-Anzeigen mit gemeinsamer Anode hat
// dann wird PORTA und PORTC bitweise invertiert
#define GEMEINSAME_ANODE

//Der Quarz auf dem Experimentierboard hat eine Frequenz von 14.318MHz
//#define OSC_CLK 	14318180	//Quarz Frequenz in Hz
#define OSC_CLK 	16000000	//Quarz Frequenz in Hz

#include <avr/interrupt.h>
#include <avr/io.h>
#include <compat/deprecated.h>
#include "usart.h"

volatile unsigned long display;
volatile unsigned char dot;
unsigned char segcounter;
unsigned int tcntzeroovl;

extern void init_timer3 (void);

#endif //_TIMER_H
